[sip-comm-dev] Trunk is now on J1.5


#1

Hello all,

Just wanted to let you know that you could now use Java 5 semantics in
trunk. As we have discussed earlier:

https://sip-communicator.dev.java.net/servlets/BrowseList?list=dev&by=thread&from=897336

alpha2 was supposed to be the last version that had to have Java 1.4
backward compatibility.

Now that alpha2 has moved to a branch of its own (which would eventually
be merged back to the trunk) the main source tree actually corresponds
to alpha3 and is hence J1.5 friendly.

In other words - you are now free to use generics, foreach, nio, and all
the things you wanted to have from Java 5.

Cheers
Emil

ยทยทยท

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net